#
# spec file for package python-mysql-connector-python
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-mysql-connector-python
Version:        2.1.7
Release:        21.1
Summary:        MySQL driver written in Python
License:        SUSE-GPL-2.0-with-FLOSS-exception
Group:          Development/Languages/Python
URL:            http://dev.mysql.com/doc/connector-python/en/index.html
Source:         http://dev.mysql.com/get/Downloads/Connector-Python/mysql-connector-python-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
MySQL driver written in Python which does not depend on MySQL C client libraries and implements the DB API v2.0 specification (PEP-249).

%prep
%setup -q -n mysql-connector-python-%{version}

%build
%python_build

%install
# bug in setuptools prevents proper c lib installation
# when using python_install so use custom python_exec instead
%python_exec setup.py install --prefix=%{_prefix} --root=%{buildroot}
%python_expand %fdupes %{buildroot}%{$python_sitelib}

#FIXME(toabctl): Reenable testuite
# probably won't work against mariadb 10
# the test script is using rather deep details
# of `mysql` table structure
# --matejcik
#check
#python unittests.py --with-mysql=/usr

%files %{python_files}
%license LICENSE.txt
%doc README.txt CHANGES.txt
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Thu Feb 15 2018 jacobwinski@gmail.com
- Update to 2.1.7:
  * BUG#26376334: Fix prepared statements in MySQL 8.0
  * BUG#25965922: Add support for Django 1.11
  * BUG#24659561: Fix MySQLCursor.executemany() when using utf8mb4 charset
  * BUG#24342757: Fix unclosed socket on connection failure
  * BUG#22880163: Fix memory leak on using Named Tuple Cursors
  * BUG#22825962: Fix memory leak on escape_string()
  * BUG#22564149: Fix cmd_query_iter() when using bytestrings with Python 2
  * BUG#21947091: Add ssl_disabled option
- Update to 2.1.6:
  * BUG#25726671: Fix compatibility issues with the latest Django versions
  * BUG#25558885: Set default connection timeout to pure connector/python
  * BUG#25397650: Verify server certificate only if ssl_verify_cert is True
  * BUG#25589496: Don't convert to unicode if non-ascii data is present
  * BUG#25383644: Add connection back to pool on exception
  * BUG#22476689: Importing world.sql fails with cext enabled
  * BUG#20736339: Expect multiple include directories from mysql_config
  * BUG#19685386: C extension tests are failing using MySQL 5.7.4
- Update to 2.1.5:
  * BUG#25111218: Fix duplicate logic for reading EOF packet
  * BUG#21656282: Connection fails using unicode passwords with C extension
  * BUG#21530841: Select statement fails for results with more than 4096 columns
  * BUG#21530100: Fix reading option files
  * BUG#21477493: Fix RE_SQL_INSERT_STMT to correctly match Insert Statement
  * BUG#21476495: Fix set_charset_collation() for an invalid charset provided
* Thu Feb 15 2018 jacobwinski@gmail.com
- Fix spec file bug not installing c libs
* Mon Feb 12 2018 jacobwinski@gmail.com
-  Update spec file with needed BuildRequires.
* Mon Feb 12 2018 jacobwinski@gmail.com
- Convert to singlespec
* Fri Oct 21 2016 jmatejek@suse.com
- update to 2.1.4
  * significant incompatible changes from 1.2 line
  * better Django compatibility
  * C extension linking to libmysqlclient is available
    (not included in this version of package)
  * bug fixes
- includes fix for CVE-2016-5598, bsc#1005559
* Tue Oct 21 2014 dmueller@suse.com
- fix license to SUSE-GPL-2.0-with-FLOSS-exception
* Tue Sep 23 2014 tbechtold@suse.com
- Initial version
